## cascading.flow
Class MapReduceFlowStep

    java.lang.Object
      cascading.flow.FlowStep
          cascading.flow.MapReduceFlowStep

All Implemented Interfaces:
  Serializable

    public class MapReduceFlowStep

extends FlowStep

Class MapReduceFlowStep wraps a `JobConf` and allows it to be executed as a `Flow`.

See Also:
  Serialized Form

Field Summary

Fields inherited from class cascading.flow.FlowStep
`sink`

Method Summary
`protected JobConf` `getJobConf(JobConf parentConf)`

Methods inherited from class cascading.flow.FlowStep

`clean, containsPipeNamed, createFlowStepJob, equals, getAllOperations, getGroup, getID, getJobConf, getMapperTrap, getMapperTraps, getName, getNextFlowElement, getNextScope, getNextScopes, getParentFlowName, getPreviousScopes, getProperties, getReducerTrap, getReducerTraps, getSourceName, getStepName, getSubmitPriority, hashCode, hasProperties, isDebugEnabled, isInfoEnabled, logDebug, logError, logInfo, logWarn, logWarn, openSinkForRead, openSourceForRead, setGroup, setName, setParentFlowName, setProperties, setSubmitPriority, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Method Detail

### getJobConf

    protected JobConf getJobConf(JobConf parentConf)
                          throws IOException

  Overrides:
    `getJobConf` in class `FlowStep`
  Throws:
    `IOException`

Copyright © 2007-2010 Concurrent, Inc. All Rights Reserved.